Package com.independentsoft.office.spreadsheet

# Class PhoneticProperties

java.lang.Object
com.independentsoft.office.spreadsheet.PhoneticProperties

public class PhoneticProperties extends Object
The Class PhoneticProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneticProperties()`
  Instantiates a new phonetic properties.
  `PhoneticProperties​(InternalXMLStreamReader reader)`
  Instantiates a new phonetic properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PhoneticProperties`
  `clone()`
  `PhoneticAlignment`
  `getAlignment()`
  Gets the alignment.
  `int`
  `getFontID()`
  Gets the font id.
  `PhoneticType`
  `getType()`
  Gets the type.
  `static boolean`
  `isEmpty​(String value)`
  Checks if is empty.
  `void`
  `setAlignment​(PhoneticAlignment alignment)`
  Sets the alignment.
  `void`
  `setFontID​(int fontID)`
  Sets the font id.
  `void`
  `setType​(PhoneticType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PhoneticProperties

    public PhoneticProperties()
    Instantiates a new phonetic properties.

  - ### PhoneticProperties

    public PhoneticProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new phonetic properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public PhoneticProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public static boolean isEmpty​(String value)
    Checks if is empty.
    Parameters:
      `value` - the value
    Returns:
      true, if is empty

  - ### getAlignment

    public PhoneticAlignment getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(PhoneticAlignment alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getFontID

    public int getFontID()
    Gets the font id.
    Returns:
      the font id

  - ### setFontID

    public void setFontID​(int fontID)
    Sets the font id.
    Parameters:
      `fontID` - the new font id

  - ### getType

    public PhoneticType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(PhoneticType type)
    Sets the type.
    Parameters:
      `type` - the new type